Subject: Re: [PATCH] Cygwin has trustable filemode

From: Mark Levedahl <[email-masked]>
Date: Fri, 19 Jul 2013 19:07:11 -0400

On 07/19/2013 03:16 PM, Junio C Hamano wrote:
> Mark Levedahl <[email-masked]> writes:
>
>> Related: Should we have separate settings for 1.5 and 1.7 for several
>> variables? Conflicts I see not reflected in config.mak.uname on pu:
>>      trustable filemode   (1.7 has, 1.5 does not)
>>      MMAP/Pread (1.7 pread is thread safe, 1.5 I dont think was, MMAP
>> utility is convolved in this)
>>      regex - 1.7 is broken, per Ramsay 1.5 works
>>
>> If you think its worth it, I'll create a patch series with the above
>> and justifications for the different settings that I know.
> I'd say that would be a sensible thing to do, given that the
> alternative seems to be "let's drop 1.5 support right now, because
> otherwise we cannot run Git on 1.7".
>
>
Ok, the following sequence builds up options for Cygwin 1.7 while 
leaving Cygwin 1.5 as-is. This series should replace

dad577f Cygwin has trustable filemode
174bb98 Use compat/regex on Cygwin

After merging the following into current pu, all tests that run by 
default pass on Cygwin 1.7, i.e.
     prove -j 8 t[0-9]*.sh
reports "All tests successful."
I've *never* had this happen on Cygwin before.

Mark

Mark